* {
    font-family: "Montserrat", sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    color: #FFF;
}

html {
    scroll-behavior: smooth;
    display: flex;
    justify-content: center;
}

.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
       -khtml-user-select: none; /* Konqueror HTML */
         -moz-user-select: none; /* Old versions of Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome, Edge, Opera and Firefox */
}

.hide {
    display: none;
}

.mobile-show {
    display: none;
}

body {
    background-color: #000000;
    width: 480px;
    max-width: 480px;
    padding-left: 10px;
    padding-right: 10px;
}

/* Login */


.login-body {
    height: 100vh;
    display: flex;
    align-items: center;
    background-image: url("../img/bg.png");
    background-size: contain;
    background-position: center, center;
    background-repeat: no-repeat;
    
}

@media screen and (max-width: 700px) {
    .login-body {
        background-size: cover;
    }
}

.login-content {
    background-color: rgba(34,34,34,0.85);
    border-radius: 20px;
    padding: 30px;
}

.login-logo-wrapper {
    margin-top: 40px;
    margin-bottom: 80px;
    display: flex;
    justify-content: center;
}

.login-form h1 {
    font-size: 32px;
    font-weight: 500;
    text-align: center;
    margin-bottom: 30px;
}

.login-form input[type=email],
.login-form input[type=password] {
    width: 100%;
    border: none;
    outline: none;
    background-color: #262626;
    margin-bottom: 16px;
    border-radius: 50px;
    font-size: 18px;
    padding: 16px 20px;
}

.login-form input[type=submit] {
    width: 100%;
    border: none;
    outline: none;
    background-color: #c59b6c;
    margin-bottom: 12px;
    border-radius: 50px;
    font-size: 18px;
    padding: 16px 20px;
    color: #000;
    font-weight: 600;
    cursor: pointer;
    margin-top: 20px;
}

.success-div {
    position: fixed; 
    top: -50px;
    left: 50%;
    transform: translateX(-50%);
    width: max-content;
    padding: 6px 18px;
    height: 50px;
    display: flex;
    align-items: center;
    color: #EEE;
    background-color: #3BB143;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    z-index: 999;
    font-size: 15px;
    background-color: rgba(59, 177, 67, 1);
}

.sd-red {
    background-color: rgba(217, 83, 79, 1);
}

/* Check slots */

.calendar {
    margin-top: 20px;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr;
    column-gap: 12px;
    row-gap: 20px;
    margin-bottom: 30px;
}

.calendar-day-wrapper {
    cursor: pointer;
}

.calendar-day-wrapper.disabled {
    opacity: 50%;
}

.calendar-day-wrapper p {
    color: #999;
    font-size: 12px;
    text-align: center;
    margin-bottom: 4px;
}

.day-circle {
    width: 100%;
    aspect-ratio: 1 / 1;
    border-radius: 80px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #999;
    font-size: 20px;
    font-weight: 500;
    color: #999;
}

.calendar-day-wrapper.active p {
    color: #c59b6c;
}

.calendar-day-wrapper.active .day-circle {
    border: 1px solid #c59b6c;
    background-color: #c59b6c;
    color: #000;
}

.slots-weekday {
    font-size: 16px;
    color: #999;
}

.slots-date {
    font-size: 24px;
    margin-bottom: 16px;
}

.slots-date span {
    font-weight: 400;
}

.slots-wrapper {
    margin-bottom: 24px;
}

.slot-container {
    background-color: #222222;
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 4px;
    padding: 6px 14px;
    cursor: pointer;
    margin-bottom: 12px;
    border-radius: 0px 10px 10px 0px;
    border-left: 4px solid #444;
}

.slot-container.booked-slot {
    border-left: 4px solid #0ebb74;
}

.slot-container.full-slot {
    border-left: 4px solid #da0505;
}

.slot-container.disabled {
    opacity: 60%;
}

.slot-container p {
    font-size: 18px;
    font-weight: 400;
    line-height: 1.5;
}

.slot-container p span {
    font-size: 12px;
    color: #999;
}

.s-status-wrapper {
    display: flex;
    justify-content: right;
    align-items: center;
}

.s-status {
    background-color: #FFF;
    color: #000;
    padding: 4px 10px;
    border-radius: 20px;
    font-size: 13px;
    font-weight: 500;
}

.s-status.gray {
    background-color: #777;
    color: #FFF;
    font-weight: 400;
}

.s-status.red {
    background-color: #da0505;
    color: #FFF;
    font-weight: 400;
}

.s-status.green {
    background-color: #0ebb74;
    color: #FFF;
    font-weight: 400;
}

.slot-body {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: url("../img/bg.png");
    background-size: contain;
    background-position: center, center;
    background-repeat: no-repeat;
}

@media screen and (max-width: 700px) {
    .slot-body {
        background-size: cover;
    }
}

.slot-page-container {
    width: 100%;
    background-color: rgba(34,34,34,0.85);
    padding: 30px 25px;
    border-radius: 10px;
}

.spc-date {
    font-size: 18px;
    font-weight: 300;
    margin-bottom: 4px;
    color: #AAA;
}

.spc-header {
    margin-bottom: 24px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.spc-header .training-title {
    background-color: #c59b6c;
    color: #000;
    padding: 5px 12px;
    border-radius: 25px;
    font-weight: 500;
    font-size: 14px;
}

.spc-header .training-status {
    background-color: #FFF;
    color: #000;
    padding: 5px 12px;
    border-radius: 25px;
    font-weight: 500;
    font-size: 14px;
}

.spc-header .training-status.green {
    background-color: #0ebb74;
    color: #FFF;
    font-weight: 400;
}

.spc-info-box {
    margin-top: 25px;
    background-color: #333;
    color: #AAA;
    font-size: 14px;
    padding: 12px;
    border-radius: 10px;
    line-height: 1.4;
    margin-bottom: 10px;
}

.spc-members-label {
    font-size: 14px;
    color: #AAA;
    margin-bottom: 4px;
    margin-top: 20px;
}

.spc-members {
    font-weight: 600;
    font-size: 24px;
}

.slot-button {
    width: 100%;
    border: none;
    outline: none;
    background-color: #FFF;
    border-radius: 50px;
    font-size: 17px;
    padding: 14px 20px;
    color: #000;
    font-weight: 600;
    cursor: pointer;
    margin-top: 12px;
}

.slot-button.red {
    background-color: #da0505;
    color: #FFF;
    font-weight: 500;
}

.slot-button.green {
    background-color: #0ebb74;
    color: #FFF;
    font-weight: 500;
}

.success-title {
    font-size: 30px;
    font-weight: 500;
    margin-bottom: 25px;
    text-align: center;
}

.book-slot-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 8px;
}

.book-slot-grid div {
    background-color: #333;
    border-radius: 10px;
    padding: 12px 10px;
}


.book-slot-grid div p.label {
    font-size: 12px;
    color: #999;
    margin-bottom: 4px;
}

.book-slot-grid div p.text {
    font-size: 14px;
    line-height: 1.4;
}

.user-header {
    background-color: #222;
    border-radius: 10px;
    width: 100%;
    margin-top: 10px;
    margin-bottom: 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 12px 14px;
}

.user-header img {
    height: 40px;
}

.user-header-right {
    display: flex;
    align-items: center;
    justify-content: right;
    gap: 8px;
}

.user-header-right .user-name {
    border: none;
    outline: none;
    background-color: #FFF;
    color: #000;
    font-size: 12px;
    padding: 6px 10px;
    border-radius: 20px;
    font-weight: 500;
    cursor: pointer;
}

.user-header-right .user-credits {
    background-color: #c59b6c;
    padding: 6px 10px;
    border-radius: 20px;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 4px;
}

.user-header-right .user-credits div {
    color: #000;
    font-size: 14px;
}

.user-header-right .user-credits img {
    height: 16px;
}

.user-slot-container {
    background-color: #222222;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px 14px;
    cursor: pointer;
    margin-bottom: 12px;
    border-radius: 10px;
}

.user-slot-date {
    color: #AAA;
    font-size: 13px;
    margin-bottom: 4px;
}

.user-slot-time {
    font-size: 20px;
    font-weight: 500;
}

.user-slot-members {
    font-size: 12px;
    color: #999;
    text-align: right;
    line-height: 1.4;
}

.user-slot-members span {
    color: #FFF;
    font-weight: 500;
    font-size: 16px;
}

.user-slot-past {
    opacity: 60%;
}

.user-week-title {
    font-size: 17px;
    color: #AAA;
    font-weight: 500;
    margin-bottom: 10px;
    margin-top: 20px;
}

.user-title {
    font-size: 24px;
    font-weight: 600;
}

.user-email {
    margin-top: 2px;
    color: #AAA;
    line-height: 1.5;
}

.user-email span {
    color: #c59b6c;
    font-weight: 600;
}

.user-book-button {
    width: 100%;
    border: none;
    outline: none;
    background-color: #c59b6c;
    margin-bottom: 36px;
    border-radius: 50px;
    font-size: 16px;
    padding: 14px 20px;
    color: #000;
    font-weight: 600;
    cursor: pointer;
    margin-top: 5px;
}

.user-main {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #222;
    border-radius: 10px;
    padding: 12px 14px;
    margin-bottom: 10px;
}

.user-add-credits {
    border: none;
    outline: none;
    background-color: #FFF;
    border-radius: 50px;
    font-size: 13px;
    padding: 10px 14px;
    color: #000;
    font-weight: 600;
    cursor: pointer;
}

.user-credits-date {
    font-size: 13px;
    margin-top: 12px;
    background-color: #444;
    border-radius: 20px;
    padding: 5px 12px;
    font-weight: 300;
}

.user-credits-date span {
    font-weight: 500;
}

.user-credits-date.soon-alert {
    background-color: #da0505;
}

.user-credits-label {
    color: #AAA;
    font-size: 14px;
}

.user-credits-number {
    color: #FFF;
    font-weight: 600;
    font-size: 28px;
    margin-top: 1px;
}

.add-credits-body {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
}

.user-add-credits-container {
    background-color: #222;
    border-radius: 10px;
    padding: 30px 20px;
    width: 100%;
}

.user-add-credits-container p {
    font-size: 18px;
    font-weight: 300;
    margin-bottom: 25px;
    line-height: 1.4;
    text-align: center;
}

.user-add-credits-container button {
    width: 100%;
    border: none;
    outline: none;
    background-color: #FFF;
    border-radius: 50px;
    font-size: 16px;
    padding: 14px 20px;
    color: #000;
    font-weight: 600;
    cursor: pointer;
}

.user-no-slots-p {
    color: #777;
    font-size: 13px;
    background-color: #222;
    width: fit-content;
    padding: 4px 10px;
    border-radius: 20px;
}

/* Admin */

.admin-title-container {
    margin-top: 30px;
    margin-bottom: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.admin-title {
    font-size: 24px;
    font-weight: 600;
}

.admin-add-user-button {
    border: none;
    outline: none;
    background-color: #FFF;
    border-radius: 50px;
    font-size: 13px;
    padding: 8px 16px;
    color: #000;
    font-weight: 600;
    cursor: pointer;
}

.admin-user-container {
    background-color: #222222;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 14px;
    cursor: pointer;
    margin-bottom: 8px;
    border-radius: 10px;
}

.admin-user-name {
    font-size: 16px;
    font-weight: 500;
}

.admin-user-email {
    font-size: 13px;
    color: #999;
}

.admin-user-credits {
    font-size: 16px;
    font-weight: 500;
    text-align: right;
}

.admin-user-date {
    font-size: 13px;
    color: #999;
    text-align: right;
}

.add-user-form h1 {
    font-size: 24px;
    font-weight: 600;
    margin-bottom: 20px;
    margin-top: 10px;
    text-align: center;
}

.add-user-form input[type=text],
.add-user-form input[type=email],
.add-user-form input[type=password],
.add-user-form input[type=date],
.add-user-form input[type=number] {
    width: 100%;
    border: none;
    outline: none;
    background-color: #333;
    margin-bottom: 8px;
    border-radius: 50px;
    font-size: 15px;
    padding: 12px 16px;
    margin-top: 3px;
}

.add-user-form label {
    padding: 5px 16px;
    font-size: 13px;
    color: #999;
}

.add-user-form input[type=submit] {
    width: 100%;
    border: none;
    outline: none;
    background-color: #c59b6c;
    margin-bottom: 12px;
    border-radius: 50px;
    font-size: 16px;
    padding: 12px 16px;
    color: #000;
    font-weight: 600;
    cursor: pointer;
    margin-top: 20px;
}

.logout-button {
    display: flex;
    align-items: center;
}

.logout-button img {
    height: 28px;

}

.user-help h2 {
    font-size: 22px;
    font-weight: 500;
    margin-bottom: 8px;
}

.user-help p {
    font-size: 15px;
    color: #AAA;
    margin-bottom: 24px;
}

.user-help p a:link,
.user-help p a:visited,
.user-help p a:active,
.user-help p a:hover {
    color: #AAA;
    text-decoration: none;
    font-weight: 500;
    color: #c59b6c;
}

.spacer {
    height: 25px !important;
}

.admin-subtitle {
    color: #999;
    margin-bottom: 8px;
}

.admin-header-buttons {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 10px;
    margin-bottom: 30px;
}

.admin-header-buttons button {
    outline: none;
    border: none;
    cursor: pointer;
    background-color: #222;
    color: #777;
    padding: 12px;
    font-size: 16px;
    border-radius: 10px;
}

.admin-header-buttons button.active {
    background-color: #FFF;
    color: #000;
    font-weight: 600;
}

.slot-container-admin {
    background-color: #222222;
    padding: 10px 14px;
    margin-bottom: 12px;
    border-radius: 10px;
}

.slot-container-admin-top {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 4px;
}

.slot-container-admin-top p {
    font-size: 16px;
    font-weight: 400;
    line-height: 1.5;
}

.slot-container-admin-top p span {
    font-size: 12px;
    color: #999;
    margin-right: 2px;
}

.admin-slot-members {
    display: flex;
    align-items: center;
    justify-content: right;
    gap: 6px;
    flex-wrap: wrap;
    margin-top: 10px;
}

.admin-slot-members div {
    background-color: #333;
    color: #AAA;
    padding: 2px 8px;
    border-radius: 40px;
    font-size: 13px;
}

.delete-holiday {
    padding: 4px 10px;
    border: none;
    outline: none;
    cursor: pointer;
    background-color: #da0505;
    color: #FFF;
    border-radius: 50px;
    margin-top: 4px;
    margin-bottom: 4px;
}

.bottom-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 0px;
    margin-top: 30px;
    border-top: 1px solid #333;
}

.bottom-section a {
    color: #999;
    text-decoration: none;
    font-weight: 500;
    font-size: 14px;
}

.bottom-section a img {
    height: 25px;
}















